Skip to main content
`Ctrl`+`K`

# DMGetLabelIdIS

Get the `DMLabelGetValueIS()` from a `DMLabel` in the `DM`

## Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMGetLabelIdIS(DM dm, const char name[], IS *ids)

Not Collective

## Input Parameters

- dm - The `DM` object

- name - The label name

## Output Parameter

- ids - The integer ids, or `NULL` if the label does not exist

## See Also

DM Basics, `DM`, `DMLabelGetValueIS()`, `DMGetLabelSize()`

## Level

beginner

## Location

src/dm/interface/dm.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages